<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__scan__filter__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_scan_filter_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__scan__filter__t_1a019063e2d7ac38f8123fa6181afc45b8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga568b22d5d446e751f62efe4eb021d451">cy_wcm_scan_filter_type_t</ref></type>
        <definition>cy_wcm_scan_filter_type_t cy_wcm_scan_filter_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>Scan filter mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="433" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__filter__t_1ad8d3cb78527ac618f0a3994ac497cc35" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748">cy_wcm_ssid_t</ref></type>
        <definition>cy_wcm_ssid_t cy_wcm_scan_filter_t::SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>SSID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="436" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="436" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__filter__t_1a1b255c34f41d99c7bccc28b3c52292e7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5">cy_wcm_mac_t</ref></type>
        <definition>cy_wcm_mac_t cy_wcm_scan_filter_t::BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>MAC address of AP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="437" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="437" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__filter__t_1a8be7ad3afc2fe2feecfcfdb8859ae30a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga31f9cb5bc75abf02e5eb2623a64b3b7b">cy_wcm_wifi_band_t</ref></type>
        <definition>cy_wcm_wifi_band_t cy_wcm_scan_filter_t::band</definition>
        <argsstring />
        <name>band</name>
        <briefdescription>
<para>Radio band. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="438" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="438" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__filter__t_1a315bd8b9820c4f234ba0f3c430a0d15a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1gab7d89e9afaed2e4e8064cf9ac4e86148">cy_wcm_scan_rssi_range_t</ref></type>
        <definition>cy_wcm_scan_rssi_range_t cy_wcm_scan_filter_t::rssi_range</definition>
        <argsstring />
        <name>rssi_range</name>
        <briefdescription>
<para>RSSI range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="439" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="439" />
      </memberdef>
      <memberdef id="structcy__wcm__scan__filter__t_1a5c9dfdbc17237085973999b63d9b28e5" kind="variable" mutable="no" prot="public" static="no">
        <type>union cy_wcm_scan_filter_t::@1</type>
        <definition>union cy_wcm_scan_filter_t::@1  cy_wcm_scan_filter_t::param</definition>
        <argsstring />
        <name>param</name>
        <briefdescription>
<para>Paramter specific to scan filter mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="440" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to pass scan filters to <ref kindref="member" refid="group__group__wcm__functions_1gae0f0b5f3e6138bfdae943e9f7b16aa07">cy_wcm_start_scan</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="441" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="431" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="432" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1a8be7ad3afc2fe2feecfcfdb8859ae30a" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>band</name></member>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1a1b255c34f41d99c7bccc28b3c52292e7" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>BSSID</name></member>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1a019063e2d7ac38f8123fa6181afc45b8" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>mode</name></member>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1a5c9dfdbc17237085973999b63d9b28e5" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>param</name></member>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1a315bd8b9820c4f234ba0f3c430a0d15a" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>rssi_range</name></member>
      <member prot="public" refid="structcy__wcm__scan__filter__t_1ad8d3cb78527ac618f0a3994ac497cc35" virt="non-virtual"><scope>cy_wcm_scan_filter_t</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>